jackd Modules for Pulseaudio

Issues related to applications and software problems
Post Reply
nggit
Posts: 7
Joined: 2017/09/02 23:14:45

jackd Modules for Pulseaudio

Post by nggit » 2017/09/03 00:03:38

Hello,

I can't find

Code: Select all

pulseaudio-module-jack
(module-jack-sink and module-jack-source) for Pulseaudio available in the repo (CentOS 7.3.1611). I know that audacious-plugins-jack and vlc-plugin-jack are available, but I want other player that doesn't have jackd support will no silent when jackd is active.

Is there a trick?

Regards,

nggit
Posts: 7
Joined: 2017/09/02 23:14:45

Re: jackd Modules for Pulseaudio

Post by nggit » 2017/09/03 23:40:07

Solved!

I manually downloaded this package: https://archive.fedoraproject.org/pub/f ... x86_64.rpm

and extract the *.so files to /usr/lib64/pulse-6.0/modules/

Then edit /etc/pulse/default.pa

Code: Select all

load-module module-jack-sink
load-module module-jack-source
Now Pulseaudio and jackd works together and Youtube not "stopped". Also, audacious-plugins-jack and vlc-plugin-jack no longer required.

SamSmith34
Posts: 28
Joined: 2011/04/08 16:41:59

Re: jackd Modules for Pulseaudio

Post by SamSmith34 » 2017/10/22 10:11:26

Link shown no longer works. The closest versions of pulseaudio-module-jack found elsewhere errored out on compatibility of sub-versions.

So I upgraded my PulseAudio - now Version 10 - but, again, no matching "pulseaudio-module-jack" exists. Downgrade says it can't**?

The Fedora versions, if they work (unknown) would require a version match. I have pulseaudio-10.0-3.el7.x86_64 (@base) now. The Fedora versions are pulseaudio(x86-64) = "10.0-2.fc25" and "10.0-4.fc25" (murphy's law they would skip the one that might work).

Any potential solutions very welcome.

**(Re: "downgrade" - I just had a lower-version working - where did it go? Pulseaudio Version 6.x was ok, other than the pulseaudio-module-jack compatibility. Does "downgrade" ever do anything? I have yet to see it ever succeed.)

nggit
Posts: 7
Joined: 2017/09/02 23:14:45

Re: jackd Modules for Pulseaudio

Post by nggit » 2017/11/08 00:39:53

The quick hack is rebuild the source by editing pulseaudio.spec. Move `enable_jack` outside the conditional.

Code: Select all

%if 0%{?fedora}
%global enable_lirc 1
%global enable_jack 1
%endif
becomes:

Code: Select all

%if 0%{?fedora}
%global enable_lirc 1
%endif
%global enable_jack 1
BTW. I have pulseaudio-module-jack for the current pulseaudio 10.0-3
Download here: https://copr-be.cloud.fedoraproject.org ... x86_64.rpm

It should work!

Post Reply

Return to “CentOS 7 - Software Support”